std::ranges::empty_view< _Tp > Class Template Reference

`#include <ranges>`

Inheritance diagram for std::ranges::empty_view< _Tp >:
[legend]

## Public Member Functions

constexpr decltype(auto) | back ()
constexpr decltype(auto) | back () const
constexpr auto | data () const noexcept(noexcept(ranges::begin(_M_derived())))
constexpr bool | empty () const noexcept(noexcept(_S_empty(_M_derived())))
constexpr decltype(auto) | front ()
constexpr decltype(auto) | front () const
constexpr | operator bool () const noexcept(noexcept(ranges::empty(_M_derived())))
constexpr | operator bool () noexcept(noexcept(ranges::empty(_M_derived())))
constexpr decltype(auto) | operator[] (range_difference_t< _Range > __n)
constexpr decltype(auto) | operator[] (range_difference_t< _Range > __n) const
constexpr auto | size () const noexcept(noexcept(_S_size(_M_derived())))

## Static Public Member Functions

static constexpr _Tp * | begin () noexcept
static constexpr _Tp * | data () noexcept
static constexpr bool | empty () noexcept
static constexpr _Tp * | end () noexcept
static constexpr size_t | size () noexcept

## Detailed Description

template<typename _Tp>
requires is_object_v<_Tp>
class std::ranges::empty_view< _Tp >

A view that contains no elements.

Definition at line 78 of file ranges.

## Member Function Documentation

## back() [1/2]

constexpr decltype(auto) std::ranges::view_interface< empty_view< _Tp > >::back | ( |  | ) |

inline constexpr inherited

Definition at line 168 of file ranges_util.h.

## back() [2/2]

constexpr decltype(auto) std::ranges::view_interface< empty_view< _Tp > >::back | ( |  | ) | const

inline constexpr inherited

Definition at line 176 of file ranges_util.h.

## begin()

template<typename _Tp >

static constexpr _Tp * std::ranges::empty_view< _Tp >::begin | ( |  | ) |

inline static constexpr noexcept

Definition at line 82 of file ranges.

## data() [1/2]

constexpr auto std::ranges::view_interface< empty_view< _Tp > >::data | ( |  | ) | const

inline constexpr noexcept inherited

Definition at line 135 of file ranges_util.h.

## data() [2/2]

template<typename _Tp >

static constexpr _Tp * std::ranges::empty_view< _Tp >::data | ( |  | ) |

inline static constexpr noexcept

Definition at line 84 of file ranges.

## empty() [1/2]

constexpr bool std::ranges::view_interface< empty_view< _Tp > >::empty | ( |  | ) | const

inline constexpr noexcept inherited

Definition at line 108 of file ranges_util.h.

## empty() [2/2]

template<typename _Tp >

static constexpr bool std::ranges::empty_view< _Tp >::empty | ( |  | ) |

inline static constexpr noexcept

Definition at line 86 of file ranges.

## end()

template<typename _Tp >

static constexpr _Tp * std::ranges::empty_view< _Tp >::end | ( |  | ) |

inline static constexpr noexcept

Definition at line 83 of file ranges.

## front() [1/2]

constexpr decltype(auto) std::ranges::view_interface< empty_view< _Tp > >::front | ( |  | ) |

inline constexpr inherited

Definition at line 154 of file ranges_util.h.

## front() [2/2]

constexpr decltype(auto) std::ranges::view_interface< empty_view< _Tp > >::front | ( |  | ) | const

inline constexpr inherited

Definition at line 161 of file ranges_util.h.

## operator bool() [1/2]

constexpr std::ranges::view_interface< empty_view< _Tp > >::operator bool | ( |  | ) | const

inline explicit constexpr noexcept inherited

Definition at line 125 of file ranges_util.h.

## operator bool() [2/2]

constexpr std::ranges::view_interface< empty_view< _Tp > >::operator bool | ( |  | ) |

inline explicit constexpr noexcept inherited

Definition at line 120 of file ranges_util.h.

## operator[]() [1/2]

constexpr decltype(auto) std::ranges::view_interface< empty_view< _Tp > >::operator[] | ( | range_difference_t< _Range > | __n | ) |

inline constexpr inherited

Definition at line 186 of file ranges_util.h.

## operator[]() [2/2]

constexpr decltype(auto) std::ranges::view_interface< empty_view< _Tp > >::operator[] | ( | range_difference_t< _Range > | __n | ) | const

inline constexpr inherited

Definition at line 191 of file ranges_util.h.

## size() [1/2]

constexpr auto std::ranges::view_interface< empty_view< _Tp > >::size | ( |  | ) | const

inline constexpr noexcept inherited

Definition at line 147 of file ranges_util.h.

## size() [2/2]

template<typename _Tp >

static constexpr size_t std::ranges::empty_view< _Tp >::size | ( |  | ) |

inline static constexpr noexcept

Definition at line 85 of file ranges.

The documentation for this class was generated from the following file:

- ranges